%define 	module	pycassa
Summary:	Simple Python Cassandra library
Summary(pl.UTF-8):	Prosta biblioteka Pythona do Cassandry
Name:		python-%{module}
Version:	1.11.1
Release:	4
License:	MIT/apache
Group:		Development/Languages/Python
# https://github.com/downloads/pycassa/pycassa/pycassa-1.0.1.tar.gz
# https://github.com/%{module}/%{module}/archive/v%{version}.tar.gz
Source0:	https://github.com/%{module}/%{module}/archive/v%{version}.tar.gz
# Source0-md5:	b87e4effd85384fde09f016b0b084039
URL:		https://github.com/pycassa/pycassa
BuildRequires:	python-devel
BuildRequires:	python-setuptools >= 0.6-2.c11
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python-modules
Requires:	python-thrift
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cassandra library with the following features: auto-failover single or
thread-local connections, a simplified version of the thrift
interface, a method to map an existing class to a Cassandra
ColumnFamily. Supports SuperColumns.

%description -l pl.UTF-8
Biblioteka dostępu do Cassandry dla Pythona posiadająca: Jednowątkowy
lub wielowątkowy interfejs, uproszczona wersję interfejsu thrift,
metody do mapowania klas w ColumnFamily Cassandry. Wspiera obsługę
superkolumn.


%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pycassaShell

%{py_sitescriptdir}/ez_setup.py[co]

%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/cassandra
%{py_sitescriptdir}/%{module}/cassandra/*.py[co]
%dir %{py_sitescriptdir}/%{module}/logging
%{py_sitescriptdir}/%{module}/logging/*.py[co]
%dir %{py_sitescriptdir}/%{module}/contrib
%{py_sitescriptdir}/%{module}/contrib/*.py[co]


%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-*.egg-info
%endif
%changelog
* Mon Mar 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycassa.git;a=log;h=master

* Mon Mar 08 2021 Jan Rękorajski <baggins@pld-linux.org> 79e69c2
- release 4 (by relup.sh)

* Thu Jan 28 2016 Mateusz Korniak <matkor@pld-linux.org> 5b50d5e
- killed typo(?)

* Thu Jan 28 2016 Mateusz Korniak <matkor@pld-linux.org> 12d2142
- Version 1.11.1-1

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 495cacd
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> d773146
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2ab5479
- automatic change: use py_build/py_install macros

* Fri Oct 26 2012 Mateusz Korniak <matkor@pld-linux.org> dbacd9e
- Version 1.7.2-1.

* Fri Jun 08 2012 Mateusz Korniak <matkor@pld-linux.org> a93eede
- Version 1.6.0-1.

* Thu Dec 22 2011 Mateusz Korniak <matkor@pld-linux.org> 717292c
- Release 2. BR: python-thrift.

* Thu Oct 20 2011 Mateusz Korniak <matkor@pld-linux.org> afd9045
- Version 1.2.1-1.

* Thu Apr 21 2011 Mateusz Korniak <matkor@pld-linux.org> 5ed1c39
- Version 1.0.8-1.

* Wed Mar 09 2011 Mateusz Korniak <matkor@pld-linux.org> 28f2322
- Version 1.0.6-1.

* Sat Feb 05 2011 Mateusz Korniak <matkor@pld-linux.org> 027ada6
- Better descriptions.

* Sat Feb 05 2011 Mateusz Korniak <matkor@pld-linux.org> 7e1170a
- Version 1.0.5-1.

* Wed Jan 05 2011 Mateusz Korniak <matkor@pld-linux.org> ec96d15
- Refreshed source0-md5.

* Wed Jan 05 2011 Mateusz Korniak <matkor@pld-linux.org> 02778e4
- Version 1.0.3-1.

* Sat Dec 11 2010 Mateusz Korniak <matkor@pld-linux.org> 8a105ed
- Version 1.0.1-1. For Cassandra 0.7.0 and up only.

* Fri Dec 10 2010 Mateusz Korniak <matkor@pld-linux.org> f6775e6
- Version 0.3.0-1.

* Wed Mar 31 2010 Elan Ruusamäe <glen@pld-linux.org> d0f105a
- remove trash from template spec
- list files we want to package (to avoid packaging .py or .so unintentionally)
- CFLAGS makes sense only for arch packages

* Wed Mar 31 2010 Mateusz Korniak <matkor@pld-linux.org> 425bd0a
- Version 0.2.0-1.

